package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * SmsTechnical generated by hbm2java
 */
@Entity
@Table(name="sms_technical"
    ,schema="public"
)
public class SmsTechnical  implements java.io.Serializable {


     private Long id;
     private MobileNumbers mobileNumbers;
     private String technicalMessageType;
     private String technicalMessageStatusType;
     private Date createdAt;
     private Date modifiedAt;
     private String messageUuid;

    public SmsTechnical() {
    }

    public SmsTechnical(MobileNumbers mobileNumbers, String technicalMessageType, String technicalMessageStatusType, Date createdAt, Date modifiedAt, String messageUuid) {
       this.mobileNumbers = mobileNumbers;
       this.technicalMessageType = technicalMessageType;
       this.technicalMessageStatusType = technicalMessageStatusType;
       this.createdAt = createdAt;
       this.modifiedAt = modifiedAt;
       this.messageUuid = messageUuid;
    }
   
     @SequenceGenerator(name="generator", sequenceName="sms_technical_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="mobile_number_id")
    public MobileNumbers getMobileNumbers() {
        return this.mobileNumbers;
    }
    
    public void setMobileNumbers(MobileNumbers mobileNumbers) {
        this.mobileNumbers = mobileNumbers;
    }

    
    @Column(name="technical_message_type")
    public String getTechnicalMessageType() {
        return this.technicalMessageType;
    }
    
    public void setTechnicalMessageType(String technicalMessageType) {
        this.technicalMessageType = technicalMessageType;
    }

    
    @Column(name="technical_message_status_type")
    public String getTechnicalMessageStatusType() {
        return this.technicalMessageStatusType;
    }
    
    public void setTechnicalMessageStatusType(String technicalMessageStatusType) {
        this.technicalMessageStatusType = technicalMessageStatusType;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="modified_at", length=29)
    public Date getModifiedAt() {
        return this.modifiedAt;
    }
    
    public void setModifiedAt(Date modifiedAt) {
        this.modifiedAt = modifiedAt;
    }

    
    @Column(name="message_uuid")
    public String getMessageUuid() {
        return this.messageUuid;
    }
    
    public void setMessageUuid(String messageUuid) {
        this.messageUuid = messageUuid;
    }




}


